Bug 33250 - QA0322: Incorrect values in SPEC file.
Summary: QA0322: Incorrect values in SPEC file.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86-KOI8-R   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-26 15:37 UTC by Eugene Kanter
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-26 15:37:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Kanter 2001-03-26 15:37:17 UTC
Apparently LANG was changed and do not correspond ones in the %post anymore

From the .spec file:

%post
if [ "$LANG" = "ru_RU.KOI8-R" -o "$LANG" = "uk_UA.KOI8-U" ]; then
    /usr/sbin/chkfontpath -q --first -a /usr/share/fonts/%{ISONAME}/misc
else
    /usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/misc
fi

In reality:
$ echo $LANG
ru_RU.koi8r

I am not sure what is the correct current spelling for "uk_UA.KOI8-U" is. 
Please verify.

Comment 1 Ngo Than 2001-03-27 22:18:56 UTC
It's fixed in XFree86-KOI8-R-1.0-6.


Note You need to log in before you can comment on or make changes to this bug.